Name:           pidgin-privacy-please
Version:        0.6.1
Release:        1%{?dist}
Summary:        Security and Privacy plugin for Pidgin

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/pidgin-privacy-please/
Source0:        http://pidgin-privacy-please.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?rhel} > 1
ExcludeArch:    ppc
%endif
BuildRequires:  pidgin-devel
Requires:       pidgin


%description
pidgin privacy please is a pidgin plugin to stop spammers from annoying you.
It offers the following features:
  - Block certain users (with an optional auto-reply)
  - Block messages from people who are not on your contact list
    (with an optional auto-reply)
  - Suppress repeated authorization requests


%prep
%setup -q -n %{name}-%{version}%{?prever}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# remove .la file
rm %{buildroot}/%{_libdir}/pidgin/libpidgin_pp.la


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/pidgin/libpidgin_pp.so


%changelog
* Thu Nov 05 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.1-1
- Update to 0.6.1

* Thu Aug 27 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.0-1
- Update to 0.6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 24 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.4-1
- Update to 0.5.4

* Tue Apr 7 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.3-2
- Modifications for EL-5

* Mon Mar 16 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.3-1
- Update to 0.5.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.2-2
- Correction on URL and Source0
- Correction on install and buildroot variable

* Mon Jan 05 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.2-1
- Initial package
